#pragma once
#include "afxwin.h"
#include "colorstatic.h"


// CDlg_AreaAndUvalues dialog

class CDlg_AreaAndUvalues : public CDialog
{
	DECLARE_DYNAMIC(CDlg_AreaAndUvalues)

public:
	CDlg_AreaAndUvalues(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_AreaAndUvalues();

// Dialog Data
	enum { IDD = IDD_AREAUVALUES };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
	//CComboBox m_comboTByValue;
	CEdit m_editGrossAreaWall1;
	CEdit m_editgroosAreaRoof1;
	CEdit m_editNetAreaDoors;
	CEdit m_editNetAreaWindows;
	CEdit m_editNetAreaRoofLights;
	CEdit m_editNetAreaGF;
	CEdit m_editNetAreaExFloor;
	CEdit m_editNetAreaWallType1;
	CEdit m_editNetAreaWallType2;
	CEdit m_editNetAreaRoofType1;
	CEdit m_editNetAreaRoofType2;
	CEdit m_editNetAreaPartyWall;
	CEdit m_editNetAreaPartyFloor;
	CEdit m_editNetAreaPartyCeiling;
	CEdit m_editNetAreaInternalWall;
	CEdit m_editNetAreaInternalFloor;
	CEdit m_editthermalMassParemeter;
	CEdit m_editLivingRoomFraction;
	CEdit m_editUvalueDoors;
	CEdit m_editUvalueWindows;
	CEdit m_editUvalueRooflights;
	CEdit m_editUvalueGF;
	CEdit m_editUvalueExposedFloor;
	CEdit m_editUvalueWallType1;
	CEdit m_editUvalueWallType2;
	CEdit m_editUvalueRoofTYpe1;
	CEdit m_editUvalueRoofType2;
	CEdit m_editUvaluePartyWall;
	CEdit m_editkValueGF;
	CEdit m_editkValueExpFloor;
	CEdit m_editkValueWallType1;
	CEdit m_editkValueWallType2;
	CEdit m_editkValueRoofType1;
	CEdit m_editkValueRoofType2;
	CEdit m_editkValuePartyWall;
	CEdit m_editkValuePartyFloor;
	CEdit m_editkValuePartyCeiling;
	CEdit m_editkValueIntWall;
	CEdit m_editkValueIntFloor;
	CEdit m_editkValueIntCeiling;
	CString str_editGrossAreaWall1;
	CString str_editGrossAreaRoof1;
	CString str_editNetAreaDoors;
	CString str_editNetAreaWindows;
	CString str_editNetAreaRoofLights;
	CString str_editNetAreaGF;
	CString str_editNetAreaExFloor;
	CString str_editNetAreaWallType1;
	CString str_editNetAreaWallType2;
	CString str_editNetAreaRoofType1;
	CString str_editNetAreaRoofType2;
	CString str_editNetAreaPartyWall;
	CString str_editNetAreaPartyFloor;
	CString str_editNetAreaPartyCeiling;
	CString str_editNetAreaInternalWall;
	CString str_editNetAreaInternalFloor;
	CEdit m_editNetAreaInternalCeiling;
	CString str_editNetAreaInternalCeiling;
	CString str_editUvalueDoors;
	CString str_editUvalueWindows;
	CString str_editUvalueRooflights;
	CString str_editUvalueGF;
	CString str_editUvalueExposedFloor;
	CString str_editUvalueWallType1;
	CString str_editUvalueWallType2;
	CString str_editUvalueRoofTYpe1;
	CString str_editUvalueRoofType2;
	CString str_editUvaluePartyWall;
	CString str_editkValueGF;
	CString str_editkValueExpFloor;
	CString str_editkValueWallType1;
	CString str_editkValueWallType2;
	CString str_editkValueRoofType1;
	CString str_editkValueRoofType2;
	CString str_editkValuePartyWall;
	CString str_editkValuePartyFloor;
	CString str_editkValuePartyCeiling;
	CString str_editkValueIntWall;
	CString str_editkValueIntFloor;
	CString str_editkValueIntCeiling;
	CString str_editthermalMassParemeter;
	CString str_editLivingRoomFraction;
	afx_msg void DisplayValuesFoAreasAndUValuesDlg();
	afx_msg void ReadInputsFromAreasAndUValuesDlg();
	afx_msg void OnEnChangeEdit1();
	afx_msg void OnEnChangeEdit2();
	afx_msg void OnEnChangeEdit58();
	afx_msg void OnCbnSelchangeCombo8();
	afx_msg void OnEnChangeEdit59();
	afx_msg void OnEnChangeEdit3();
	afx_msg void OnEnChangeEdit4();
	afx_msg void OnEnChangeEdit5();
	afx_msg void OnEnChangeEdit6();
	afx_msg void OnEnChangeEdit7();
	afx_msg void OnEnChangeEdit8();
	afx_msg void OnEnChangeEdit9();
	afx_msg void OnEnChangeEdit10();
	afx_msg void OnEnChangeEdit11();
	afx_msg void OnEnChangeEdit12();
	afx_msg void OnEnChangeEdit13();
	afx_msg void OnEnChangeEdit14();
	afx_msg void OnEnChangeEdit15();
	afx_msg void OnEnChangeEdit16();
	afx_msg void OnEnChangeEdit17();
	afx_msg void OnEnChangeEdit29();
	afx_msg void OnEnChangeEdit30();
	afx_msg void OnEnChangeEdit31();
	afx_msg void OnEnChangeEdit32();
	afx_msg void OnEnChangeEdit33();
	afx_msg void OnEnChangeEdit34();
	afx_msg void OnEnChangeEdit43();
	afx_msg void OnEnChangeEdit44();
	afx_msg void OnEnChangeEdit45();
	afx_msg void OnEnChangeEdit46();
	afx_msg void OnEnChangeEdit35();
	afx_msg void OnEnChangeEdit36();
	afx_msg void OnEnChangeEdit52();
	afx_msg void OnEnChangeEdit37();
	afx_msg void OnEnChangeEdit53();
	afx_msg void OnEnChangeEdit38();
	afx_msg void OnEnChangeEdit39();
	afx_msg void OnEnChangeEdit54();
	afx_msg void OnEnChangeEdit40();
	afx_msg void OnEnChangeEdit55();
	afx_msg void OnEnChangeEdit56();
	afx_msg void OnEnChangeEdit57();
	CEdit m_editThermalMass;
	CString str_editThermalMass;

	afx_msg BOOL PreTranslateMessage(MSG* pMsg);
	CColorStatic m_labelLivingAreaFraction;
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
};
